Bug 18971 - TextTrack should have an id attribute
Summary: TextTrack should have an id attribute
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: PC Linux
: P2 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
Depends on:
Blocks: 22015
  Show dependency treegraph
Reported: 2012-09-22 01:14 UTC by Aaron Colwell (c)
Modified: 2013-08-09 05:22 UTC (History)
8 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Colwell (c) 2012-09-22 01:14:36 UTC
TextTrack does not contain an id attribute like AudioTrack & VideoTrack so they can't be reference by Media Fragment URIs like audio & video can. 

I propose that the id attribute be added to TextTrack and a getTrackById() method be added to TextTrackList so that these objects are consistent with the audio and video counterparts.
Comment 1 Erika Doyle Navara 2012-10-19 19:21:03 UTC
Moving this to HTML.next as we work to lock down HTML5.0 for CR.
Comment 2 Edward O'Connor 2012-11-14 21:46:15 UTC
Seems reasonable to me.
Comment 3 Robin Berjon 2013-01-21 15:58:31 UTC
Mass move to "HTML WG"
Comment 4 Robin Berjon 2013-01-21 16:01:17 UTC
Mass move to "HTML WG"
Comment 5 Silvia Pfeiffer 2013-08-09 05:22:16 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:


Status: Accepted
Change Description:
(accepted from WHATWG)

Rationale: makes sense to have it consistent - and it could be used for media fragment URIs